java.security.interfaces

## Interface DSAParams

- All Known Implementing Classes:
    DSAParameterSpec

      public interface DSAParams

  Interface to a DSA-specific set of key parameters, which defines a DSA key family. DSA (Digital Signature Algorithm) is defined in NIST's FIPS-186.
  See Also:
    `DSAKey`, `Key`, `Signature`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BigInteger` | `getG()` Returns the base, `g`.
    `BigInteger` | `getP()` Returns the prime, `p`.
    `BigInteger` | `getQ()` Returns the subprime, `q`.

- - ### Method Detail

    - #### getP

          BigInteger getP()

      Returns the prime, `p`.
      Returns:
        the prime, `p`.

    - #### getQ

          BigInteger getQ()

      Returns the subprime, `q`.
      Returns:
        the subprime, `q`.

    - #### getG

          BigInteger getG()

      Returns the base, `g`.
      Returns:
        the base, `g`.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.